Table of Contents

## Name

XtAppAddActionHook, XtRemoveActionHook - register an action hook procedure

## Syntax

XtActionHookId XtAppAddActionHook(XtAppContext app_context,
  XtActionHookProc proc, XtPointer client_data);
void XtRemoveActionHook(XtActionHookId id);

## Arguments

app_context
  Specifies the application context.
proc
  Specifies the action hook procedure.
num_args
  Specifies the application-specific data to be passed to the action hook.

## Description

XtAppAddActionHook adds the specified procedure to the front of a list maintained in the application context. In the future, when an action routine is about to be invoked for any widget in this application context, either through the translation manager or via XtCallActionProc, the action hohok procedures will be called in reverse order of registration jut prior to invoking the action routine.

Action hook procedures are removed automatically and the XtActionHookId s destroyed when the application context in which they were added is destroyed.

XtRemoveActionHook removes the specified action hook procedure from the list in which it was registered.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also